package cn.com.countrygarden.bi.main.model.wcx;

import java.util.Date;

/**
 * 用户评论表(被投诉或被删除的评论)
 */
public class WcxReviewOther {
    private String reviewOtherId; //` varchar(36) NOT NULL COMMENT '其他状态评论主键',
    private String reviewId; //` varchar(36) DEFAULT NULL COMMENT '评论表主键',
    private String reviewContent; //` varchar(1000) DEFAULT NULL COMMENT '评论内容',
    private String reviewUserId; //` varchar(36) DEFAULT NULL COMMENT '用户表主键',
    private String reviewUserName; //` varchar(10) DEFAULT NULL COMMENT '评论创建人名称',
    private String reviewInnovationId; //` varchar(36) DEFAULT NULL COMMENT '项目表主键',
    private Date reviewCreateDate; //` datetime DEFAULT NULL COMMENT '评论创建时间',
    private String reviewStatus; //` char(1) DEFAULT NULL COMMENT '状态(0:未启用 2:被投诉)',
    private String reportContent; //` varchar(1000) DEFAULT NULL COMMENT '举报内容',
    private Integer reportNumber; //` int(5) DEFAULT '0' COMMENT '举报次数',
    private String reportBy; //` varchar(360) DEFAULT NULL COMMENT '投诉者(所有投诉者user_id)',
    private String reportByName; //` varchar(100) DEFAULT NULL COMMENT '投诉者(所有投诉者名称)',
    private Date createDate; //` datetime DEFAULT NULL COMMENT '创建时间',
    private String createBy; //` varchar(36) DEFAULT NULL COMMENT '创建人',
    private String createByName; //` varchar(10) DEFAULT NULL COMMENT '创建人名称',
    private Date lastUpdateDate; //` datetime DEFAULT NULL COMMENT '最后更新时间',
    private String lastUpdateBy; //` varchar(36) DEFAULT NULL COMMENT '最后更新人',
    private String lastUpdateByName; //` varchar(10) DEFAULT NULL COMMENT '最后更新人名称',
    private Integer isDelete; //` tinyint(1) DEFAULT '0' COMMENT '是否有效标识，默认0，0为有效，1为无效',
    private Integer version; //` int(11) DEFAULT '0' COMMENT '版本号',
    private String status;

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReviewOtherId() {
        return reviewOtherId;
    }

    public void setReviewOtherId(String reviewOtherId) {
        this.reviewOtherId = reviewOtherId;
    }

    public String getReviewId() {
        return reviewId;
    }

    public void setReviewId(String reviewId) {
        this.reviewId = reviewId;
    }

    public String getReviewContent() {
        return reviewContent;
    }

    public void setReviewContent(String reviewContent) {
        this.reviewContent = reviewContent;
    }

    public String getReviewUserId() {
        return reviewUserId;
    }

    public void setReviewUserId(String reviewUserId) {
        this.reviewUserId = reviewUserId;
    }

    public String getReviewUserName() {
        return reviewUserName;
    }

    public void setReviewUserName(String reviewUserName) {
        this.reviewUserName = reviewUserName;
    }

    public String getReviewInnovationId() {
        return reviewInnovationId;
    }

    public void setReviewInnovationId(String reviewInnovationId) {
        this.reviewInnovationId = reviewInnovationId;
    }

    public Date getReviewCreateDate() {
        return reviewCreateDate;
    }

    public void setReviewCreateDate(Date reviewCreateDate) {
        this.reviewCreateDate = reviewCreateDate;
    }

    public String getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getReportContent() {
        return reportContent;
    }

    public void setReportContent(String reportContent) {
        this.reportContent = reportContent;
    }

    public Integer getReportNumber() {
        return reportNumber;
    }

    public void setReportNumber(Integer reportNumber) {
        this.reportNumber = reportNumber;
    }

    public String getReportBy() {
        return reportBy;
    }

    public void setReportBy(String reportBy) {
        this.reportBy = reportBy;
    }

    public String getReportByName() {
        return reportByName;
    }

    public void setReportByName(String reportByName) {
        this.reportByName = reportByName;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }

    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }

    public String getLastUpdateBy() {
        return lastUpdateBy;
    }

    public void setLastUpdateBy(String lastUpdateBy) {
        this.lastUpdateBy = lastUpdateBy;
    }

    public String getLastUpdateByName() {
        return lastUpdateByName;
    }

    public void setLastUpdateByName(String lastUpdateByName) {
        this.lastUpdateByName = lastUpdateByName;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }
}
